ZIP_SOURCE_IS_DELETED(3)

NAME
zip_source_is_deleted - check if zip_source is deleted

LIBRARY
libzip (-lzip)

SYNOPSIS
#include <zip.h>
int
zip_source_is_deleted(zip_source_t *source);

DESCRIPTION
The function zip_source_is_deleted() returns whether the zip_source was deleted. This can for example happen when all entries are removed from a zip archive.

RETURN VALUES
zip_source_is_deleted() returns 1 if the zip_source is deleted and 0 otherwise.

SEE ALSO
libzip(3), zip_source(3)

HISTORY
zip_source_is_deleted() was added in libzip 1.0.

AUTHORS
-nosplit Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>